### Method

# ICalGLib Parser add_line

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_parser_add_line (
      ICalParser* parser,
      gchar* str
    )

#### Description [src]

Add a line at one time into the `ICalParser` until the parsing is complete and `ICalComponent` will be returned.

Available since: 1.0

#### Parameters

`parser`

  Type: `ICalParser`

  The `ICalParser` used to parse the string into the `ICalComponent`.

  The instance takes ownership of the data, and is responsible for freeing it.

`str`

  Type: `gchar*`

  A line of string representation of the `ICalComponent`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalComponent`

The complete `ICalComponent`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.